$(document).ready(function(){

	twitterOpen = false;
	menuOpen = false;

	$('#btnTwitter').click(function(){
		if(menuOpen){
			$('#menuList').slideUp(function(){
				$('#twitterList').slideDown();
				menuOpen = false;
				twitterOpen = true;
				checkMenus();
			});
		} else {
			$('#twitterList').slideToggle(function(){
				if(twitterOpen == false){
					twitterOpen = true;
				} else {
					twitterOpen = false;
				}
				checkMenus();
			});
			
		}

	});




	$('#btnMenu').click(function(){
		if(twitterOpen){
			$('#twitterList').slideUp(function(){
				$('#menuList').slideDown(function(){
					menuOpen = true;
					twitterOpen = false;
					checkMenus();
				});
				
				
			});
		} else {
			$('#menuList').slideToggle(function(){
				if(menuOpen == false){
					menuOpen = true;
				} else {
					menuOpen = false;
				}
				checkMenus();	
			});
		}


	});





	function checkMenus() {
		if(twitterOpen || menuOpen) {
			$('#loadingArea').css('position','fixed');
			$('#fixedWhiteBg').show();
		} else {
			$('#loadingArea').css('position','static');
			$('#fixedWhiteBg').hide();
		}
	}



	$('#openSub1').click(function(){
		$('.arrowToggle1').toggle();
		$('#submenu1').slideToggle();
	});

	$('#openSub2').click(function(){
		$('.arrowToggle2').toggle();
		$('#submenu2').slideToggle(function(){
			//nudge animate menu up slightly
			$('#menuList').animate({ scrollTop: 500 }, "slow");
		});
	});




	/* Button Click Functions */

	$('#btnHome').click(function(){
		$('#loadingArea').css('position','static');

		$('#loadingArea').load('pages/home.html');
		// Now slide up any open menus
		if($('#menuList').is(":visible")){
			$('#menuList').slideToggle();
			menuOpen = false;
		}
		
		if($('#twitterList').is(":visible")){
			$('#twitterList').slideToggle();
			twitterOpen = false;
		}

		$('#fixedWhiteBg').hide();
		
	});


	$('#submenu2 li').click(function(){

		var page = $(this).data('page');

		$('#menuList').slideToggle(function(){
			$('#loadingArea').load('pages/' + page + '.html', function(){
				if(menuOpen == false){
					menuOpen = true;
				} else {
					menuOpen = false;
				}
				checkMenus();	

				$('#fixedWhiteBg').hide();
			});
			
		});

	});




});